> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vexelia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Can deploy new node



## OpenAPI

````yaml GET /nodes/canDeploy
openapi: 3.0.1
info:
  title: Vexelia API
  description: >-
    The base Vexelia API for interfacing with the Vexelia platform through a
    REST interface.
  termsOfService: https://vexelia.com/terms
  contact:
    name: Support
    url: https://help.vexelia.com
    email: support@vexelia.com
  version: v0.0.1
servers:
  - url: https://api.vexelia.com
    description: The production Vexelia API
security:
  - bearer: []
tags:
  - name: Backup
    description: Controller that handles backing up and restoring VMs
  - name: HostNode
    description: Controller that handles getting and updating host nodes
  - name: Network
    description: Controller that handles network management for the platform
  - name: Node
    description: Handles the management of VPS servers and dedicated servers (nodes)
  - name: Payment
    description: Handles all payment-related systems and webhooks
  - name: Plan
    description: Controller that handles managing pricing plans
  - name: Template
    description: Manages templates for Proxmox
  - name: User
    description: >-
      Handles all user-related functions such as creating and authenticating
      users
  - name: Vnc
    description: Handles proxying VNC websockets to client safely
paths:
  /nodes/canDeploy:
    get:
      tags:
        - Node
      summary: Checks if a user can actually deploy a server
      responses:
        '200':
          description: The node can be deployed
        '400':
          description: >-
            Unable to deploy the node due to some kind of issue with the users
            account
components:
  securitySchemes:
    bearer:
      type: http
      description: Your API key goes here, you can generate one in your account settings.
      scheme: bearer
      bearerFormat: JWT

````